exports.install = function(framework) {
    framework.route('/', view_homepage);
    framework.route('/', view_homepage, ['POST']);
    };

function view_homepage() {
    var self = this;

    var client = self.database('myDB');
    client.connect(function(err) {
        console.log('connection error', err);
     
        client.query('SELECT * FROM users where name = $1',[self.post.name], function (err, result) {
            console.log('select error', err);
            // release the client back to the pool
            client.end();
            console.log(result);
            // render view
            self.view('homepage', result);
        });
    });
}